﻿$ErrorActionPreference = 'Stop';

$pp = Get-PackageParameters

$packageName= 'rs-ssms-extension'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'RS.SSMS.Installer.msi'

$silentArgs = "/q"

if($pp -and $pp.count -gt 0)
{
	if($pp.CS)
		{ $silentArgs += " CS=" + $pp.CS }
		
	if(-not ($pp.V2016 -or $pp.V2017))
		{ $silentArgs += " V2016=1" }
	else
	{
		if($pp.V2016)
			{ $silentArgs += " V2016=" + $pp.V2016 }
		if($pp.V2017)
			{ $silentArgs += " V2017=" + $pp.V2017 }
	}
}
else
{
	$silentArgs += " V2016=1"
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  file          = $fileLocation
  silentArgs    = $silentArgs
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyInstallPackage @packageArgs